/* July, 23, 1997
** C program for Salamander data
*/

#include ".../sal.h"
#include ".../trunc_normal.c"
#include ".../Em201.c"


int main()
{
  int nobs = SSIZE;
  
   read_data(".../salamander.dat", 1);
   cal_ybar();
   EM();
}

void read_data(char *filename, int table)
{
   int a;
   FILE *ifp;
   int k=0;

   ifp = fopen(filename,"r");
   while (fscanf(ifp, "%d", &a) == 1)
   {
      y[k] = a;
      fscanf(ifp,"%d",&a);
      female[k] = a-(table-1)*20-1;
      fscanf(ifp,"%d",&a);
      male[k] = a-(table-1)*20-1;
      if (female[k]%10 < 5 && male[k]%10 < 5)
         mix[k] = 0;
      else if (female[k]%10 < 5 && male[k]%10 > 4)
         mix[k] = 1;
      else if (female[k]%10 > 4 && male[k]%10 < 5)
         mix[k] = 2;
      else
         mix[k] = 3;
      ++k;
   }
    fclose(ifp);
}


void cal_ybar()
{
   int k,g;

   for (k = 0; k < SSIZE; ++k)
   {
      ybar[mix[k]] += y[k];
   }         
   for (g = 0; g < 4; ++g)
   {
      ybar[g] = ybar[g]/nmix;
   }
}   

